Name: antlr
Version: 2.7.6
Release: alt1

Summary: ANother Tool for Language Recognition
Group: Development/Other
License: Public Domain
Url: http://www.antlr.org/

%define pkgdocdir  %_docdir/%name-%version

Source0: http://www.antlr.org/download/%name-%version.tar.bz2
Source1: %name-build.xml
Source2: %name.sh

BuildArch: noarch

BuildPreReq: rpm-build-java
BuildRequires: /proc
BuildRequires: j2se-devel ant

%description
ANTLR, ANother Tool for Language Recognition, (formerly PCCTS) is a
language tool that provides a framework for constructing recognizers,
compilers, and translators from grammatical descriptions containing
C++ or Java actions [You can use PCCTS 1.xx to generate C-based
parsers].

%package manual
Group: Development/Other
Summary: Manual for %name

%description manual
Documentation for %name.

%package javadoc
Group: Development/Other
Summary: Javadoc for %name

%description javadoc
Javadoc-generated API documentation for %name.

%prep
%setup -q
cp -p %SOURCE1 build.xml
find . -name '*.jar' -print0 | xargs -r0 rm -f

%build
%ant_build

%install
# jars
mkdir -p $RPM_BUILD_ROOT%_javadir
install -p -m644 work/lib/%name.jar $RPM_BUILD_ROOT%_javadir/%name.jar

mkdir -p $RPM_BUILD_ROOT%_bindir
install -p -m755 %SOURCE2 $RPM_BUILD_ROOT%_bindir/%name

# javadoc
install -d -m755 $RPM_BUILD_ROOT%_javadocdir
cp -a work/api/* $RPM_BUILD_ROOT%_javadocdir

# docs
install -d -m755 $RPM_BUILD_ROOT%pkgdocdir
cp -a doc/*      $RPM_BUILD_ROOT%pkgdocdir
install -p -m644 README.txt LICENSE.txt $RPM_BUILD_ROOT%pkgdocdir

%files
%dir %pkgdocdir
%pkgdocdir/*.txt
%_bindir/*
%_javadir/*

%files manual
%dir %pkgdocdir
%pkgdocdir/*.html
%pkgdocdir/*.gif
%pkgdocdir/*.jpg

%files javadoc
%_javadocdir

%changelog
* Sat Mar 04 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.7.6-alt1
- 2.7.6
- Added README.txt to the docs list
- Set source and target compiler attributes

* Tue Feb 01 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.7.5-alt1
- New upstream release
- Converted to rpm-build-java macros

* Mon Jun 07 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.7.4-alt1
- New upstream release

* Sat Apr 17 2004 Mikhail Zabaluev <mhz@altlinux.ru> 2.7.3-alt1
- New upstream release

* Wed Sep 10 2003 Mikhail Zabaluev <mhz@altlinux.ru> 2.7.2-alt1
- Ported to ALT Linux from JPackage 2.7.2-2jpp
